Skip to main content
Account Validation validates your Contact’s Fund Account details (such as bank account or virtual payment address (VPA) details) to verify the account number where the user wants to receive the amount. Account Validation is not available in test mode and is possible only for RazorpayX Lite.
To make an account validation transaction, you must allowlist your IPs, Create a Contact and Create a Fund Account for the Contact using either bank account or VPA details.
Fork the Razorpay Postman Public Workspace and try the Account Validation APIs using your Test API Keys. Run in Postman

Create Contact

POST /v1/contactsCreates a Contact using customer’s contact details such a phone number or email id.

Create a Fund Account of Type Bank Account

POST /v1/fund_accountsCreates a Fund Account for an existing Contact using customer’s bank account details.

Validate a Bank Account

POST /v1/fund_accounts/validationsValidates the contact’s bank account.

Create a Fund Account of Type VPA

POST /v1/fund_accountsCreates a Fund Account for an existing Contact using customer’s virtual payment address or UPI.

Validate a VPA

POST /v1/fund_accounts/validationsValidates the contact’s virtual payment address or UPI fund account.

Validate VPA using Reverse Penny Drop

POST /v1/fund_accounts/validationsValidates the contact’s virtual payment address or UPI fund account via Reverse Penny Drop.

Fetch All Account Validation Transactions

GET /v1/fund_accounts/validations?account_number=\{account number\}Retrieves the details of all Fund Account Validation transactions you have made.

Fetch Account Validation Transactions With ID

GET /v1/fund_accounts/validations/:idRetrieves particular Fund Account Validation transaction with its id.